--- /dev/null
+diff -urN gconf-dbus-orig/configure gconf-dbus/configure
+--- gconf-dbus-orig/configure 2016-04-27 10:29:47.080794273 +0900
++++ gconf-dbus/configure 2016-04-27 10:32:05.756799583 +0900
+@@ -21200,169 +21200,6 @@
+ #ORBIT_IDL="`$PKG_CONFIG --variable=orbit_idl ORBit-2.0`"
+ #AC_SUBST(ORBIT_IDL)
+
+-if test "${ac_cv_header_popt_h+set}" = set; then
+- { echo "$as_me:$LINENO: checking for popt.h" >&5
+-echo $ECHO_N "checking for popt.h... $ECHO_C" >&6; }
+-if test "${ac_cv_header_popt_h+set}" = set; then
+- echo $ECHO_N "(cached) $ECHO_C" >&6
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_header_popt_h" >&5
+-echo "${ECHO_T}$ac_cv_header_popt_h" >&6; }
+-else
+- # Is the header compilable?
+-{ echo "$as_me:$LINENO: checking popt.h usability" >&5
+-echo $ECHO_N "checking popt.h usability... $ECHO_C" >&6; }
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-$ac_includes_default
+-#include <popt.h>
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (ac_try="$ac_compile"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_compile") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; } &&
+- { ac_try='test -s conftest.$ac_objext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- ac_header_compiler=yes
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+- ac_header_compiler=no
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+-echo "${ECHO_T}$ac_header_compiler" >&6; }
+-
+-# Is the header present?
+-{ echo "$as_me:$LINENO: checking popt.h presence" >&5
+-echo $ECHO_N "checking popt.h presence... $ECHO_C" >&6; }
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <popt.h>
+-_ACEOF
+-if { (ac_try="$ac_cpp conftest.$ac_ext"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } >/dev/null; then
+- if test -s conftest.err; then
+- ac_cpp_err=$ac_c_preproc_warn_flag
+- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+- else
+- ac_cpp_err=
+- fi
+-else
+- ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
+- ac_header_preproc=yes
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+- ac_header_preproc=no
+-fi
+-
+-rm -f conftest.err conftest.$ac_ext
+-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+-echo "${ECHO_T}$ac_header_preproc" >&6; }
+-
+-# So? What about this header?
+-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+- yes:no: )
+- { echo "$as_me:$LINENO: WARNING: popt.h: accepted by the compiler, rejected by the preprocessor!" >&5
+-echo "$as_me: WARNING: popt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: proceeding with the compiler's result" >&5
+-echo "$as_me: WARNING: popt.h: proceeding with the compiler's result" >&2;}
+- ac_header_preproc=yes
+- ;;
+- no:yes:* )
+- { echo "$as_me:$LINENO: WARNING: popt.h: present but cannot be compiled" >&5
+-echo "$as_me: WARNING: popt.h: present but cannot be compiled" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: check for missing prerequisite headers?" >&5
+-echo "$as_me: WARNING: popt.h: check for missing prerequisite headers?" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: see the Autoconf documentation" >&5
+-echo "$as_me: WARNING: popt.h: see the Autoconf documentation" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: section \"Present But Cannot Be Compiled\"" >&5
+-echo "$as_me: WARNING: popt.h: section \"Present But Cannot Be Compiled\"" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: popt.h: proceeding with the preprocessor's result" >&2;}
+- { echo "$as_me:$LINENO: WARNING: popt.h: in the future, the compiler will take precedence" >&5
+-echo "$as_me: WARNING: popt.h: in the future, the compiler will take precedence" >&2;}
+-
+- ;;
+-esac
+-{ echo "$as_me:$LINENO: checking for popt.h" >&5
+-echo $ECHO_N "checking for popt.h... $ECHO_C" >&6; }
+-if test "${ac_cv_header_popt_h+set}" = set; then
+- echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+- ac_cv_header_popt_h=$ac_header_preproc
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_header_popt_h" >&5
+-echo "${ECHO_T}$ac_cv_header_popt_h" >&6; }
+-
+-fi
+-if test $ac_cv_header_popt_h = yes; then
+- :
+-else
+- { { echo "$as_me:$LINENO: error:
+-*** Couldn't find popt. Please download and install from
+-*** ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/ and try again." >&5
+-echo "$as_me: error:
+-*** Couldn't find popt. Please download and install from
+-*** ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/ and try again." >&2;}
+- { (exit 1); exit 1; }; }
+-fi
+-
+-
+-
+ if test "${ac_cv_header_pthread_h+set}" = set; then
+ { echo "$as_me:$LINENO: checking for pthread.h" >&5
+ echo $ECHO_N "checking for pthread.h... $ECHO_C" >&6; }
+diff -urN gconf-dbus-orig/configure.in gconf-dbus/configure.in
+--- gconf-dbus-orig/configure.in 2016-04-27 10:29:47.084794273 +0900
++++ gconf-dbus/configure.in 2016-04-27 10:32:48.096801205 +0900
+@@ -182,10 +182,6 @@
+ #ORBIT_IDL="`$PKG_CONFIG --variable=orbit_idl ORBit-2.0`"
+ #AC_SUBST(ORBIT_IDL)
+
+-AC_CHECK_HEADER(popt.h, , AC_MSG_ERROR([[
+-*** Couldn't find popt. Please download and install from
+-*** ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/ and try again.]]))
+-
+ AC_CHECK_HEADER(pthread.h, have_pthreads=yes)
+ AM_CONDITIONAL(PTHREADS, test -n "$have_pthreads")
+
+diff -urN gconf-dbus-orig/gconf/gconf.c gconf-dbus/gconf/gconf.c
+--- gconf-dbus-orig/gconf/gconf.c 2016-04-27 10:29:47.068794273 +0900
++++ gconf-dbus/gconf/gconf.c 2016-04-27 11:03:10.944871008 +0900
+@@ -17,7 +17,7 @@
+ * Boston, MA 02111-1307, USA.
+ */
+
+-#include <popt.h>
++//#include <popt.h>
+ /*#include "GConfX.h"*/
+ #include "gconf.h"
+ #include "gconf-internals.h"
+@@ -2547,11 +2547,11 @@
+
+ /* All deprecated */
+ const char gconf_version[] = VERSION;
+-
++/*
+ struct poptOption gconf_options[] = {
+ {NULL}
+ };
+-
++*/
+ /* Also deprecated */
+ gboolean
+ gconf_init (int argc, char **argv, GError** err)
+diff -urN gconf-dbus-orig/gconf/gconf-dbus.c gconf-dbus/gconf/gconf-dbus.c
+--- gconf-dbus-orig/gconf/gconf-dbus.c 2016-04-27 10:29:47.068794273 +0900
++++ gconf-dbus/gconf/gconf-dbus.c 2016-04-27 10:34:03.412804089 +0900
+@@ -22,7 +22,7 @@
+
+ #include <config.h>
+
+-#include <popt.h>
++//#include <popt.h>
+ #include "gconf.h"
+ #include "gconf-dbus-utils.h"
+ #include "gconf-internals.h"
--- /dev/null
+diff -urN gconf-dbus-orig/backends/markup-tree.c gconf-dbus/backends/markup-tree.c
+--- gconf-dbus-orig/backends/markup-tree.c 2016-04-27 10:29:47.072794273 +0900
++++ gconf-dbus/backends/markup-tree.c 2016-04-27 11:13:23.860894479 +0900
+@@ -3569,6 +3569,9 @@
+ }
+ }
+
++/*
++* parse_tree with recovery mechanism for journaling
++*/
+ static void
+ parse_tree (MarkupDir *root,
+ gboolean parse_subtree,
+@@ -3578,7 +3581,8 @@
+ GMarkupParseContext *context = NULL;
+ GError *error;
+ ParseInfo info;
+- char *filename;
++ char *filename, *newfilename;
++ char recovery_mode = 0;
+ FILE *f;
+
+ if (!parse_subtree)
+@@ -3590,6 +3594,7 @@
+
+ error = NULL;
+
++ recovery:
+ f = g_fopen (filename, "rb");
+ if (f == NULL)
+ {
+@@ -3605,6 +3610,24 @@
+ goto out;
+ }
+
++ if((!recovery_mode)&&(!fread(&recovery_mode, 1, 1, f)))
++ {
++ if (f != NULL)
++ fclose (f);
++ newfilename = g_strconcat (filename, ".new", NULL);
++#ifdef G_OS_WIN32
++ newfilename = g_strconcat (filename, ".tmp", NULL);
++#endif
++ g_free (filename);
++ filename = newfilename;
++ recovery_mode = 1;
++ goto recovery;
++ }
++ else
++ {
++ fseek(f, 0, SEEK_SET);
++ }
++
+ context = g_markup_parse_context_new (&gconf_parser,
+ 0, &info, NULL);
+
+@@ -4371,7 +4394,8 @@
+ #ifdef G_OS_WIN32
+ tmp_filename = g_strconcat (filename, ".tmp", NULL);
+ #endif
+- new_fd = g_open (new_filename, O_WRONLY | O_CREAT, file_mode);
++ //Because ubi file system does not guarantee synchronization of data.
++ new_fd = g_open (new_filename, O_WRONLY | O_CREAT | O_SYNC, file_mode);
+ if (new_fd < 0)
+ {
+ err_str = g_strdup_printf (_("Failed to open \"%s\": %s\n"),
+diff -urN gconf-dbus-orig/gconf/default.path.in gconf-dbus/gconf/default.path.in
+--- gconf-dbus-orig/gconf/default.path.in 2016-04-27 10:29:47.068794273 +0900
++++ gconf-dbus/gconf/default.path.in 2016-04-27 11:14:15.188896444 +0900
+@@ -18,7 +18,8 @@
+ include "$(HOME)/.gconf.path"
+
+ # Give users a default storage location, ~/.gconf
+-xml:readwrite:$(HOME)/.gconf
++#xml:readwrite:$(HOME)/.gconf
++xml:readwrite:/opt/var/gconf
+
+ # To read in any defaults settings that the Sys Admin may have created
+ # prior to a desktop system upgrade. The SysAdmin can stick default values
+Binary files gconf-dbus-orig/.git/index and gconf-dbus/.git/index differ